import AuthSession from './auth-session';
import AuthStep from './auth-step';
export default class DevicePassiveRegisterStep implements AuthStep {
    static readonly NAME = "device/passive/register";
    private readonly log;
    readonly name = "device/passive/register";
    execute(session: AuthSession): Promise<string>;
    static hasAssertionResponse(session: AuthSession): boolean;
    private finishRegistration;
    private getFido2Registration;
}
