import AuthSession from './auth-session';
import AuthStep from './auth-step';
export default class ReportErrorStep implements AuthStep {
    private static readonly endpointMap;
    private readonly logger;
    private _message;
    private _code?;
    private nextStep?;
    private reportable?;
    constructor(error: any);
    readonly name = "error";
    get code(): number | undefined;
    get message(): string;
    execute(session: AuthSession): Promise<string>;
}
