import { AuthSessionIntegration, RequestSignature, RequestSigner } from './platform';
export default class RequestSignerV3 implements RequestSigner {
    private readonly log;
    private readonly session;
    private cachedChallenge?;
    constructor(session: AuthSessionIntegration);
    sign(method: string, path: string, query: string, contentType: string, body: string): Promise<RequestSignature | null>;
    private getChallenge;
    private getHash;
}
