"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InstantLinkResultType = exports.InstantLinkMaxRetryError = exports.BuildConfig = exports.PhoneValidationError = exports.OtpError = exports.OtpFinishResultType = exports.MobileAuthImplementation = exports.LogLevel = exports.LoggerFactory = exports.DeviceRole = exports.CancelablePromise = exports.AuthResponseStatus = exports.AuthenticatorBuilder = exports.VERSION = void 0;
const version_1 = require("./proveauth/version");
Object.defineProperty(exports, "VERSION", { enumerable: true, get: function () { return version_1.VERSION; } });
const authenticator_builder_1 = __importStar(require("./proveauth/authenticator-builder"));
exports.AuthenticatorBuilder = authenticator_builder_1.default;
Object.defineProperty(exports, "DeviceRole", { enumerable: true, get: function () { return authenticator_builder_1.DeviceRole; } });
Object.defineProperty(exports, "MobileAuthImplementation", { enumerable: true, get: function () { return authenticator_builder_1.MobileAuthImplementation; } });
const device_context_options_1 = require("./proveauth/device-context-options");
Object.defineProperty(exports, "BuildConfig", { enumerable: true, get: function () { return device_context_options_1.BuildConfig; } });
const auth_response_status_1 = require("./proveauth/internal/auth-response-status");
Object.defineProperty(exports, "AuthResponseStatus", { enumerable: true, get: function () { return auth_response_status_1.AuthResponseStatus; } });
const logger_1 = require("./proveauth/common/logger");
Object.defineProperty(exports, "LoggerFactory", { enumerable: true, get: function () { return logger_1.LoggerFactory; } });
Object.defineProperty(exports, "LogLevel", { enumerable: true, get: function () { return logger_1.LogLevel; } });
const cancelable_promise_1 = __importDefault(require("./proveauth/common/cancelable-promise"));
exports.CancelablePromise = cancelable_promise_1.default;
const phone_number_input_1 = require("./proveauth/internal/phone-number-input");
Object.defineProperty(exports, "PhoneValidationError", { enumerable: true, get: function () { return phone_number_input_1.PhoneValidationError; } });
const otp_1 = require("./proveauth/otp");
Object.defineProperty(exports, "OtpError", { enumerable: true, get: function () { return otp_1.OtpError; } });
Object.defineProperty(exports, "OtpFinishResultType", { enumerable: true, get: function () { return otp_1.OtpFinishResultType; } });
const instantlink_1 = require("./proveauth/instantlink");
Object.defineProperty(exports, "InstantLinkMaxRetryError", { enumerable: true, get: function () { return instantlink_1.InstantLinkMaxRetryError; } });
Object.defineProperty(exports, "InstantLinkResultType", { enumerable: true, get: function () { return instantlink_1.InstantLinkResultType; } });
