"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InstantLinkResultType = exports.InstantLinkMaxRetryError = void 0;
const auth_error_1 = __importDefault(require("./internal/auth-error"));
class InstantLinkMaxRetryError extends auth_error_1.default {
    constructor(message, code) {
        super(message, code);
    }
}
exports.InstantLinkMaxRetryError = InstantLinkMaxRetryError;
var InstantLinkResultType;
(function (InstantLinkResultType) {
    InstantLinkResultType[InstantLinkResultType["OnResend"] = 0] = "OnResend";
    InstantLinkResultType[InstantLinkResultType["OnMobileNumberChange"] = 1] = "OnMobileNumberChange";
})(InstantLinkResultType = exports.InstantLinkResultType || (exports.InstantLinkResultType = {}));
