import AuthSession from './auth-session';
import AuthStep from './auth-step';
import UserConsentStep from '../user-consent-step';
export default class DevicePassiveSilentStep implements AuthStep {
    static readonly NAME = "device/passive/silent";
    readonly name = "device/passive/silent";
    private readonly log;
    private readonly forUPK;
    private readonly userConsentStep;
    constructor(forUPK: boolean, userConsentStep?: UserConsentStep);
    execute(session: AuthSession): Promise<string>;
    private getBackendRegisterEndpoint;
    private getBackendVerifyEndpoint;
    private register;
    private verify;
}
