import { PasskeyAlreadyExistCallback } from '../authenticator-builder';
import AuthSession from './auth-session';
import AuthStep from './auth-step';
import { DevicePassiveActions } from './device-passive-step';
export default class DevicePassiveStepupStep extends DevicePassiveActions implements AuthStep {
    static readonly NAME = "device/passive/stepup";
    readonly name = "device/passive/stepup";
    constructor(getDisplayName?: () => string | null, handler?: PasskeyAlreadyExistCallback);
    execute(session: AuthSession): Promise<string>;
}
