import AuthSession from './auth-session';
import AuthStep from './auth-step';
import { Logger } from '../common/logger';
export default class DevicePassiveVerifyStep implements AuthStep {
    static readonly NAME = "device/passive/verify";
    private readonly log;
    readonly name = "device/passive/verify";
    execute(session: AuthSession): Promise<string>;
    static runFidoVerify(log: Logger, session: AuthSession): Promise<string>;
    private static makeFidoVerifyFinishRequest;
}
