import AuthSession from './auth-session';
import AuthStep from './auth-step';
import { MobileAuthImplementation } from '../authenticator-builder';
export default class MobileInstantStep implements AuthStep {
    static readonly NAME = "mobile/instant";
    readonly name = "mobile/instant";
    protected log: import("../common/logger").Logger;
    private readonly implementation;
    private readonly getDeviceIp;
    private readonly deviceIpDetection;
    private errorCodeBak?;
    private nextBak?;
    constructor(implementation: MobileAuthImplementation, getDeviceIp?: () => string | null);
    execute(session: AuthSession): Promise<string>;
}
