import AuthError from './auth-error';
export default interface PhoneNumberInput {
    phoneNumber: string;
}
export declare class PhoneValidationError extends AuthError {
    constructor(message?: string, code?: number);
}
export interface PhoneNumberStep {
    execute: (phoneNumberNeeded: boolean, phoneValidationError?: PhoneValidationError) => Promise<PhoneNumberInput | null>;
}
export type PhoneNumberStepFn = (phoneNumberNeeded: boolean, phoneValidationError?: PhoneValidationError) => Promise<PhoneNumberInput | null>;
