"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUnixTime = exports.arrayBufferToHexString = exports.arrayBufferToString = exports.stringToArrayBuffer = exports.DEVICE_CAPABILITY_WEBAUTHN = void 0;
exports.DEVICE_CAPABILITY_WEBAUTHN = 'webauthn';
function stringToArrayBuffer(input) {
    return new TextEncoder().encode(input);
}
exports.stringToArrayBuffer = stringToArrayBuffer;
function arrayBufferToString(input) {
    return String.fromCharCode.apply(null, Array.from(new Uint8Array(input)));
}
exports.arrayBufferToString = arrayBufferToString;
function arrayBufferToHexString(input) {
    return Array.from(new Uint8Array(input), (x) => ('00' + x.toString(16)).slice(-2)).join('');
}
exports.arrayBufferToHexString = arrayBufferToHexString;
function getUnixTime() {
    return Math.floor(Date.now() / 1000);
}
exports.getUnixTime = getUnixTime;
