import { AuthMessageHandler } from '../authenticator-builder';
import AuthSession from './auth-session';
import AuthStep from './auth-step';
export default class ScanMessageStep implements AuthStep {
    static readonly NAME = "scan/message";
    private readonly log;
    private readonly authMessageHandler;
    constructor(authMessageHandler: AuthMessageHandler | undefined);
    readonly name = "scan/message";
    execute(session: AuthSession): Promise<string>;
}
