"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const auth_error_1 = __importDefault(require("./auth-error"));
class UserPresentStep {
    constructor() {
        this.name = UserPresentStep.NAME;
    }
    execute(session) {
        return new Promise((resolve, reject) => {
            reject(new auth_error_1.default(`Step ${this.name} is not supported yet`));
        });
    }
}
UserPresentStep.NAME = 'user/present';
exports.default = UserPresentStep;
