"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OtpFinishResultType = exports.OtpError = void 0;
const auth_error_1 = __importDefault(require("./internal/auth-error"));
class OtpError extends auth_error_1.default {
    constructor(message, code) {
        super(message, code);
    }
}
exports.OtpError = OtpError;
var OtpFinishResultType;
(function (OtpFinishResultType) {
    OtpFinishResultType[OtpFinishResultType["OnSuccess"] = 0] = "OnSuccess";
    OtpFinishResultType[OtpFinishResultType["OnResendOtp"] = 1] = "OnResendOtp";
    OtpFinishResultType[OtpFinishResultType["OnMobileNumberChange"] = 2] = "OnMobileNumberChange";
})(OtpFinishResultType = exports.OtpFinishResultType || (exports.OtpFinishResultType = {}));
